AbstractTypeCheckingExtension.TypeCheckingScope (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.transform.stc, class: AbstractTypeCheckingExtension, class: TypeCheckingScope

Package org.codehaus.groovy.transform.stc

# Class AbstractTypeCheckingExtension.TypeCheckingScope

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
java.util.LinkedHashMap<String,Object>
org.codehaus.groovy.transform.stc.AbstractTypeCheckingExtension.TypeCheckingScope

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

Enclosing class:
  AbstractTypeCheckingExtension

public static class AbstractTypeCheckingExtension.TypeCheckingScope extends LinkedHashMap<String,Object>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractTypeCheckingExtension.TypeCheckingScope`
  `getParent()`

  ### Methods inherited from class java.util.LinkedHashMap

  `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

  ### Methods inherited from class java.util.HashMap

  `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- ## Method Details

  - ### getParent

    public AbstractTypeCheckingExtension.TypeCheckingScope getParent()